"""Lists of values used in test suites"""

STANDARD_PARAMETERS = [
    (1, 'Ⅰ'),
    (2, 'Ⅱ'),
    (3, 'Ⅲ'),
    (4, 'Ⅳ'),
    (5, 'Ⅴ'),
    (6, 'Ⅵ'),
    (7, 'Ⅶ'),
    (8, 'Ⅷ'),
    (9, 'Ⅸ'),
    (10, 'Ⅹ'),
    (11, 'Ⅺ'),
    (12, 'Ⅻ'),
    (29, 'ⅩⅩⅨ'),
    (31, 'ⅩⅩⅪ'),
    (40, 'ⅩⅬ'),
    (50, 'Ⅼ'),
    (90, 'ⅩⅭ'),
    (97, 'ⅩⅭⅦ'),
    (100, 'Ⅽ'),
    (148, 'ⅭⅩⅬⅧ'),
    (294, 'ⅭⅭⅩⅭⅣ'),
    (312, 'ⅭⅭⅭⅫ'),
    (400, 'ⅭⅮ'),
    (421, 'ⅭⅮⅩⅪ'),
    (500, 'Ⅾ'),
    (528, 'ⅮⅩⅩⅧ'),
    (621, 'ⅮⅭⅩⅪ'),
    (782, 'ⅮⅭⅭⅬⅩⅩⅫ'),
    (800, 'ⅮⅭⅭⅭ'),
    (870, 'ⅮⅭⅭⅭⅬⅩⅩ'),
    (900, 'ⅭⅯ'),
    (941, 'ⅭⅯⅩⅬⅠ'),
    (1000, 'Ⅿ'),
    (1043, 'ⅯⅩⅬⅢ'),
    (1110, 'ⅯⅭⅩ'),
    (1226, 'ⅯⅭⅭⅩⅩⅥ'),
    (1301, 'ⅯⅭⅭⅭⅠ'),
    (1485, 'ⅯⅭⅮⅬⅩⅩⅩⅤ'),
    (1509, 'ⅯⅮⅨ'),
    (1607, 'ⅯⅮⅭⅦ'),
    (1754, 'ⅯⅮⅭⅭⅬⅣ'),
    (1832, 'ⅯⅮⅭⅭⅭⅩⅩⅫ'),
    (1986, 'ⅯⅭⅯⅬⅩⅩⅩⅥ'),
    (1993, 'ⅯⅭⅯⅩⅭⅢ'),
    (2017, 'ⅯⅯⅩⅦ'),
    (2074, 'ⅯⅯⅬⅩⅩⅣ'),
    (2152, 'ⅯⅯⅭⅬⅡ'),
    (2212, 'ⅯⅯⅭⅭⅫ'),
    (2343, 'ⅯⅯⅭⅭⅭⅩⅬⅢ'),
    (2499, 'ⅯⅯⅭⅮⅩⅭⅨ'),
    (2574, 'ⅯⅯⅮⅬⅩⅩⅣ'),
    (2646, 'ⅯⅯⅮⅭⅩⅬⅥ'),
    (2723, 'ⅯⅯⅮⅭⅭⅩⅩⅢ'),
    (2892, 'ⅯⅯⅮⅭⅭⅭⅩⅭⅡ'),
    (2975, 'ⅯⅯⅭⅯⅬⅩⅩⅤ'),
    (3051, 'ⅯⅯⅯⅬⅠ'),
    (3185, 'ⅯⅯⅯⅭⅬⅩⅩⅩⅤ'),
    (3250, 'ⅯⅯⅯⅭⅭⅬ'),
    (3313, 'ⅯⅯⅯⅭⅭⅭⅩⅢ'),
    (3408, 'ⅯⅯⅯⅭⅮⅧ'),
    (3501, 'ⅯⅯⅯⅮⅠ'),
    (3610, 'ⅯⅯⅯⅮⅭⅩ'),
    (3743, 'ⅯⅯⅯⅮⅭⅭⅩⅬⅢ'),
    (3844, 'ⅯⅯⅯⅮⅭⅭⅭⅩⅬⅣ'),
    (3888, 'ⅯⅯⅯⅮⅭⅭⅭⅬⅩⅩⅩⅧ'),
    (3940, 'ⅯⅯⅯⅭⅯⅩⅬ'),
    (3999, 'ⅯⅯⅯⅭⅯⅩⅭⅨ'),
    (4000, 'ⅯⅯⅯⅯ'),
    (4500, 'ⅯⅯⅯⅯⅮ'),
    (4888, 'ⅯⅯⅯⅯⅮⅭⅭⅭⅬⅩⅩⅩⅧ'),
    (4999, 'ⅯⅯⅯⅯⅭⅯⅩⅭⅨ'),
    (9001, 'ⅯⅯⅯⅯⅯⅯⅯⅯⅯⅠ'),
]

LOWERCASE_PARAMETERS = [
    (1, 'ⅰ'),
    (2, 'ⅱ'),
    (3, 'ⅲ'),
    (4, 'ⅳ'),
    (5, 'ⅴ'),
    (6, 'ⅵ'),
    (7, 'ⅶ'),
    (8, 'ⅷ'),
    (9, 'ⅸ'),
    (10, 'ⅹ'),
    (11, 'ⅺ'),
    (12, 'ⅻ'),
    (29, 'ⅹⅹⅸ'),
    (31, 'ⅹⅹⅺ'),
    (40, 'ⅹⅼ'),
    (50, 'ⅼ'),
    (90, 'ⅹⅽ'),
    (97, 'ⅹⅽⅶ'),
    (100, 'ⅽ'),
    (148, 'ⅽⅹⅼⅷ'),
    (294, 'ⅽⅽⅹⅽⅳ'),
    (312, 'ⅽⅽⅽⅻ'),
    (400, 'ⅽⅾ'),
    (421, 'ⅽⅾⅹⅺ'),
    (500, 'ⅾ'),
    (528, 'ⅾⅹⅹⅷ'),
    (621, 'ⅾⅽⅹⅺ'),
    (782, 'ⅾⅽⅽⅼⅹⅹⅻ'),
    (800, 'ⅾⅽⅽⅽ'),
    (870, 'ⅾⅽⅽⅽⅼⅹⅹ'),
    (900, 'ⅽⅿ'),
    (941, 'ⅽⅿⅹⅼⅰ'),
    (1000, 'ⅿ'),
    (1043, 'ⅿⅹⅼⅲ'),
    (1110, 'ⅿⅽⅹ'),
    (1226, 'ⅿⅽⅽⅹⅹⅵ'),
    (1301, 'ⅿⅽⅽⅽⅰ'),
    (1485, 'ⅿⅽⅾⅼⅹⅹⅹⅴ'),
    (1509, 'ⅿⅾⅸ'),
    (1607, 'ⅿⅾⅽⅶ'),
    (1754, 'ⅿⅾⅽⅽⅼⅳ'),
    (1832, 'ⅿⅾⅽⅽⅽⅹⅹⅻ'),
    (1986, 'ⅿⅽⅿⅼⅹⅹⅹⅵ'),
    (1993, 'ⅿⅽⅿⅹⅽⅲ'),
    (2017, 'ⅿⅿⅹⅶ'),
    (2074, 'ⅿⅿⅼⅹⅹⅳ'),
    (2152, 'ⅿⅿⅽⅼⅱ'),
    (2212, 'ⅿⅿⅽⅽⅻ'),
    (2343, 'ⅿⅿⅽⅽⅽⅹⅼⅲ'),
    (2499, 'ⅿⅿⅽⅾⅹⅽⅸ'),
    (2574, 'ⅿⅿⅾⅼⅹⅹⅳ'),
    (2646, 'ⅿⅿⅾⅽⅹⅼⅵ'),
    (2723, 'ⅿⅿⅾⅽⅽⅹⅹⅲ'),
    (2892, 'ⅿⅿⅾⅽⅽⅽⅹⅽⅱ'),
    (2975, 'ⅿⅿⅽⅿⅼⅹⅹⅴ'),
    (3051, 'ⅿⅿⅿⅼⅰ'),
    (3185, 'ⅿⅿⅿⅽⅼⅹⅹⅹⅴ'),
    (3250, 'ⅿⅿⅿⅽⅽⅼ'),
    (3313, 'ⅿⅿⅿⅽⅽⅽⅹⅲ'),
    (3408, 'ⅿⅿⅿⅽⅾⅷ'),
    (3501, 'ⅿⅿⅿⅾⅰ'),
    (3610, 'ⅿⅿⅿⅾⅽⅹ'),
    (3743, 'ⅿⅿⅿⅾⅽⅽⅹⅼⅲ'),
    (3844, 'ⅿⅿⅿⅾⅽⅽⅽⅹⅼⅳ'),
    (3888, 'ⅿⅿⅿⅾⅽⅽⅽⅼⅹⅹⅹⅷ'),
    (3940, 'ⅿⅿⅿⅽⅿⅹⅼ'),
    (3999, 'ⅿⅿⅿⅽⅿⅹⅽⅸ'),
    (4000, 'ⅿⅿⅿⅿ'),
    (4500, 'ⅿⅿⅿⅿⅾ'),
    (4888, 'ⅿⅿⅿⅿⅾⅽⅽⅽⅼⅹⅹⅹⅷ'),
    (4999, 'ⅿⅿⅿⅿⅽⅿⅹⅽⅸ'),
    (9001, 'ⅿⅿⅿⅿⅿⅿⅿⅿⅿⅰ'),
]
